clear all
load tableb06 
load tableb08
n=input('Input! the order of regression')
[a S]=polyfit(TK,CP,n);
Tplot=0:100:1500;
CPplot=polyval(a,Tplot);
CPcal=polyval(a,TK);
err=CP-CPcal;
var=S.normr^2/S.df;
sigma=sqrt(var);
X=S.R;
alpha=diag(inv(X'*X));
confintv=sqrt(alpha)*sigma*t(S.df);
format long
disp('     Coefficient       Confidence Interval')
disp([a', confintv]);
format short
figure(1)
plot(Tplot,CPplot,TK,CP,'o')
xlabel('Absolute Temperature [K]');
ylabel('Heat Capacity [kJ/(Kg-mol K)]');
figure(2)
plot(CP,err,'o',[20:10:220],zeros(size(20:10:220)));
xlabel('Heat Capacity');
ylabel('error');
