clear all
load tableb09
nu=size(k,1)-2;
k=k*1e6; %k ʹ ۾Ƽ Ȯ
T=TF+460; % µ ȯ
logk=log(k);
logT=log(T);
a=polyfit(logT,logk,1); % ȸͺм
[para,f,J]=nlinfit(T,k,'p203b2f',[exp(a(2)); a(1)]); % ȸ м  ʱġ
paraci=nlparci(para,f,J);
confintv=(paraci(:,2)-paraci(:,1))/2;
Tplot=-50:200;
kplot=para(1)*(Tplot+459.67).^para(2);
kcal=para(1)*T.^para(2);
err=(k-kcal);
var=err'*err/nu;
format long
disp('     Coefficient       Confidence Interval')
disp([para, confintv]);
format short
figure(1)
plot(Tplot,kplot,TF,k,'o')
xlabel('Temperature [F]');
ylabel('Thermal Conductivity [cal/(s cm C)]');
figure(2)
plot(k,err,'o',[20:65],zeros(size(20:65)));
xlabel('Thermal Conductivity');
ylabel('error');
