clear all
load tableb11
nu=size(TF,1);
TR=TF+460;
logDeltaH=log10(DeltaH);
logTCmTR=log10(666-TR);
a=polyfit(logTCmTR,logDeltaH,1);
[para,f,J]=nlinfit(TR,DeltaH,'p203d2f',[a(2); 10^(a(1))]); % ȸ м  ʱġ
paraci=nlparci(para,f,J);
confintv=(paraci(:,2)-paraci(:,1))/2;
TRplot=390:580;
DeltaHplot=para(1)*(666-TRplot).^(para(2));
DeltaHcal=para(1)*(666-TR).^(para(2));
err=DeltaH-DeltaHcal;
sosq=err'*err;
var=sosq/nu;
disp('     Coefficient       Confidence Interval')
disp([para, confintv]);
format short
figure(1)
plot(TRplot,DeltaHplot,TR,DeltaH,'o')
xlabel('Temperature[R]');
ylabel('Heat of Vaporization [kcal/kg]');
figure(2)
plot(DeltaH,err,'o',[120:200],zeros(size(120:200)));
xlabel('Heat of Vaporization');
ylabel('error');
