clear all
load tableb06
load tableb16
nu=size(Re,1)-4;
lnRe=log(Re);
lnPr=log(Pr);
lnMu=log(Mu);
lnNu=log(Nu);
I=ones(size(Re));
X=[I lnRe lnPr lnMu];
A=(X'*X)\(X'*lnNu);
Coef=A;
Coef(1)=exp(A(1));
x=[Re Pr Mu];
[para,f,J]=nlinfit(x,Nu,'p205_4f', Coef); 
paraci=nlparci(para,f,J);
confintv=(paraci(:,2)-paraci(:,1))/2;
Nucal=para(1)*Re.^para(2).*Pr.^para(3).*Mu.^para(4);
err=Nu-Nucal;
relerr=(Nu-Nucal)./Nu;
var=err'*err/nu;
relvar=relerr'*relerr/nu;
format long
disp('     Coefficient       Confidence Interval')
disp([para, confintv]);
format short
plot(Nu,err,'o',[0:500],zeros(size(0:500)));
xlabel('Nu');
ylabel('error');
