clear all
load tableb06 
load tableb09
n=input('Input! the order of regression')
[a S]=polyfit(TF,k,n);
Tplot=-50:200;
kplot=polyval(a,Tplot);
kcal=polyval(a,TF);
err=k-kcal;
var=S.normr^2/S.df;
sigma=sqrt(var);
X=S.R;
alpha=diag(inv(X'*X));
confintv=sqrt(alpha)*sigma*t(S.df);
format long
disp('     Coefficient       Confidence Interval')
disp([a', confintv]);
format short
figure(1)
plot(Tplot,kplot,TF,k,'o')
xlabel('Temperature [F]');
ylabel('Thermal Conductivity [cal/(s cm C)]');
figure(2)
plot(k,err,'o',[20:65]*1e-6,zeros(size(20:65)));
xlabel('Thermal Conductivity');
ylabel('error');
