clear all
load tableb10
nu=size(mu,1)-3;
TK=TC+273.15; % µ ȯ
logmu=log10(mu);
invTKplusC=1./(TK-26.18);
a=polyfit(invTKplusC,logmu,1); % ȸͺм
[para,f,J]=nlinfit(TK,logmu,'p203c1f',[a(2); a(1); -26.18]); % ȸ м  ʱġ
paraci=nlparci(para,f,J);
confintv=(paraci(:,2)-paraci(:,1))/2;
TKplot=80:260;
logmuplot=para(1)+para(2)./(TKplot+para(3));
logmucal=para(1)+para(2)./(TK+para(3));
mucal=10.^(logmucal);
muplot=10.^(logmuplot);
err=(logmu-logmucal);
var=err'*err/nu;
format long
disp('     Coefficient       Confidence Interval')
disp([para, confintv]);
format short
figure(1)
plot(TKplot,muplot,TK,mu,'o')
xlabel('Temperature [K]');
ylabel('Viscosity [cP]');
figure(2)
plot(logmu,err,'o',[-0.8:0.1:1.2],zeros(size(-0.8:0.1:1.2)));
xlabel('Viscosoty');
ylabel('error');
