clear all
load tableb10
nu=size(mu,1)-4;
TK=TC+273.15; % µ ȯ
logmu=log10(mu);
invTK=1./TK;
sqrtTK=TK.^(0.5);
I=ones(size(TK));
X=[I invTK TK sqrtTK];
a=(X'*X)\(X'*logmu)
[para,f,J]=nlinfit(TK,logmu,'p203c2f',[a(1); a(2); a(3); a(4); 0.5]); % ȸ м  ʱġ
paraci=nlparci(para,f,J);
confintv=(paraci(:,2)-paraci(:,1))/2;
TKplot=80:260;
logmuplot=para(1)*ones(size(TKplot))+para(2)./TKplot+para(3)*TKplot+para(4)*TKplot.^(para(5));
logmucal=para(1)*I+para(2).*invTK+para(3)*TK+para(4)*TK.^(para(5));
mucal=10.^(logmucal);
muplot=10.^(logmuplot);
err=(logmu-logmucal);
var=err'*err/nu;
format long
disp('     Coefficient       Confidence Interval')
disp([para, confintv]);
format short
figure(1)
plot(TKplot,muplot,TK,mu,'o')
xlabel('Temperature [K]');
ylabel('Viscosity [cP]');
figure(2)
plot(logmu,err,'o',[-0.8:0.1:1.2],zeros(size(-0.8:0.1:1.2)));
xlabel('Viscosoty');
ylabel('error');
