clear all
load tableb06
load tableb11
TR=TF+460;
logDeltaH=log10(DeltaH);
logTCmTR=log10(666-TR);
[a S]=polyfit(logTCmTR,logDeltaH,1);
TRplot=390:580;
logTCmTRplot=log10(666-TRplot);
logDeltaHplot=polyval(a,logTCmTRplot);
logDeltaHcal=polyval(a,logTCmTR);
DeltaHplot=10.^(logDeltaHplot);
DeltaHcal=10.^(logDeltaHcal);
err=DeltaH-DeltaHcal;
sosq=err'*err;
var=S.normr^2/S.df;
sigma=sqrt(var);
X=S.R;
alpha=diag(inv(X'*X));
confintv=sqrt(alpha)*sigma*t(S.df);
format long
disp('     Coefficient       Confidence Interval')
disp([a', confintv]);
format short
figure(1)
plot(TRplot,DeltaHplot,TR,DeltaH,'o')
xlabel('Temperature[R]');
ylabel('Heat of Vaporization [kcal/kg]');
figure(2)
plot(DeltaH,err,'o',[120:200],zeros(size(120:200)));
xlabel('Heat of Vaporization');
ylabel('error');
