clear all
load tableb06
load tableb16
nu=size(Re,1)-4;
lnRe=log(Re);
lnPr=log(Pr);
lnMu=log(Mu);
lnNu=log(Nu);
I=ones(size(Re));
X=[I lnRe lnPr lnMu];
A=(X'*X)\(X'*lnNu);
Coef=A;
Coef(1)=exp(A(1));
lnNucal=X*A;
Nucal=exp(lnNucal);
err=Nu-Nucal;
relerr=(Nu-Nucal)./Nu;
var=err'*err/nu;
relvar=relerr'*relerr/nu;
lnerr=lnNu-lnNucal;
lnvar=lnerr'*lnerr/nu;
sigma=sqrt(lnvar);
alpha=diag(inv(X'*X));
ConfIntv=sqrt(alpha)*sigma*t(nu);
ConfIntv(1)=exp(ConfIntv(1));
format long
disp('     Coefficient       Confidence Interval')
disp([Coef, ConfIntv]);
format short
plot(Nu,err,'o',[0:500],zeros(size(0:500)));
xlabel('Nu');
ylabel('error');
