clear all
load p211
load tableb06
X1=CA;
X2=CR;
Y=rR;
%񰡿  
nu1=size(Y,1)-1;
k0=X1\Y;
Y1cal=k0*X1;
err1=Y-Y1cal;
var1=err1'*err1/nu1;
sigma1=sqrt(var1);
alpha1=diag(inv(X1'*X1));
confintv=sqrt(alpha1)*sigma1*t(nu1);
format long
disp('     Coefficient       Confidence Interval')
disp([k0, confintv]);
format short
figure(1)
plot(Y,err1,'o',[0.5:1:4.5]*1e-8,zeros(size([0.5:1:4.5])))
xlabel('rR')
ylabel('error')
%  
nu2=size(Y,1)-2;
X=[X1, -X2];
k=X\Y;
Y2cal=X*k;
err2=Y-Y2cal;
var2=err2'*err2/nu2;
sigma2=sqrt(var2);
alpha2=diag(inv(X'*X));
confintv=sqrt(alpha2)*sigma1*t(nu2);
format long
disp('     Coefficient       Confidence Interval')
disp([k, confintv]);
format short
figure(2)
plot(Y,err2,'o',[0.5:1:4.5]*1e-8,zeros(size([0.5:1:4.5])))
xlabel('rR')
ylabel('error')
%󵵵  
A=polyfit(CA,CR,1);
CAplot=[1.5:0.1:6.5]*1e-4;
CRplot=polyval(A,CAplot);
figure(3)
plot(CA,CR,'o',CAplot,CRplot)
xlabel('CA');
ylabel('CR');
% 
[a,S]=polyfit(CA,rR,1);
var=S.normr^2/S.df;
sigma=sqrt(var);
X=S.R;
alpha=diag(inv(X'*X));
confintv=sqrt(alpha)*sigma*t(S.df);
format long
disp('     Coefficient       Confidence Interval')
disp([a', confintv]);

