clear all
load p214
load tableb06
nu=size(y,1)-3;
I=ones(size(y));
X(:,1)=I;
X(:,2)=x1;
X(:,3)=x2;
Y=y;
A=(X'*X)\(X'*Y);
ycal=X*A;
err=y-ycal;
var=err'*err/nu;
sigma=sqrt(var);
alpha=diag(inv(X'*X));
confintv=sqrt(alpha)*sigma*t(nu);
format long
disp('     Coefficient       Confidence Interval')
disp([A, confintv]);
format short
plot(y,err,'o',[-100:350],zeros(size(-100:350)));
xlabel('y');
ylabel('error');
